Neue Snapshot Firmware 0.6.3

Habe heute Nacht auch geflasht. Seit dem nur eine minimale Unterbrechung. Aber vorher lief es dank DSlite so gut wie gar nicht.

1 Like

Hallo zusammen,

vielen Dank für die Testberichte.
Ich denke wir werden die Firmware nächste Woche freigeben.

@christian1980nrw: wird gemacht.

Viele Grüße,
Lars

1 Like

Hi,
ich bekomme einen syntax error. Die DNS Namen müssen in Anführungzeichen.

@nullu kopier am besten die Files von einem Knoten runter. Sie liegen unter: /tmp/fastd/fastd.mesh_vpn/peers%mesh_vpn_backbone/

Das ist besser als die Zipfiles zu pflegen :wink:

Ja okay…
habe es jetzt mit sed einmal gemacht:

#!/bin/sh
for i in $( ls ); do
        sed 's/4 /4 "/g' $i | sed 's/.de /.de" /g'>> $i.conv
done

Was sollte ich noch machen bezüglich rebroadcast?

echo 1 > /sys/class/net/bat0/batman_adv/no_rebroadcast

Jap aber auf das mesh-vpn Interface:

echo 1 > /sys/class/net/mesh_vpn/batman_adv/no_rebroadcast

Ist denn auch schon eine Umsetzung von 2015.1 geplant?

Ich hab die Version gebaut und bin gerade an den ersten Test dran.

Wenn die aktuelle Snapshot Stable wird kommt die 2015.1 als neue Snapshot Version.

3 Likes

spricht was dagegen die 2015.1er unter experimental zu veröffentlichen?
http://moehne-vis.freifunk-rheinland.net/images/experimental/

Oder ist die Version noch ein „Wackelpeter“?

Das kann wahrscheinlich noch niemand in der Möhne beantworten, da das Release ja noch recht jung ist. Daher wird man sich auch dagegen entschieden haben, eine experimentelle Version hochzuladen.

Wer es nicht aushält, kann ja die FW selbst backen. (Das ist jetzt auch kein Hexenwerk.)

Ob man sich das selbst antun sollte, wenn unsere Admins sowieso die ersten groben Tests durchführen, mag ich mal bezweifeln.

Gegen die eigene Neugierde hilft es aber bestimmt. :smiley:

Ich hab die 2015.1 seit einigen Tagen im Einsatz und kann bisher nichts negatives feststellen, ausser das man die Site Konfiguration überarbeiten musste.
Meine Images sind hier zu finden: Google Drive : connexion
Hab die Version mal 0.6.4-bat14 genannt, da ab 2015.1 eigentlich BATMAN15 empfohlen wird, dies aber mit BATMAN14 nicht meshen kann. Deshalb verwende ich weiter die alte Version.

Gruß!

Da werden wir sowieso irgendwann einen Tod sterben müssen. Wir können ja nicht auf ewig auf v14 hängen bleiben, die Entwicklung geht ja weiter… oder?

Frage mich aber, wie man es hinbekommt zunächst die Knoten auf v15 zu bringen, die keinen VPN-Uplink haben!?

Aktualisiert sich zuerst ein Knoten mit VPN-Uplink, dann mesht da ja nix mehr over Air und der Rest hängt dann im Nirvana.

Gefährliche Sache irgendwie.

Der richtige Weg wäre wenn jemand den Code von Bat14 und 15 kombiniert und Bat15 abwärtskompatibel macht. Ansonsten ist das was für nen Domainsplit.

Afaik haben die Entwickler ja genau mit v15 einen Kompatibilitätslevel geschaffen, der Versionssprünge besser ermöglichen soll. Ist jetzt nur dumm von v14 auf v15 zu migrieren.

Wie „schlägt“ sich der snapshot denn an UM-only-v6 Anschlüssen - oder kann ich mir das klemmen?

Guckst Du:

Sollte also was bringen.

Ja, nee - iss klar…
Theorie und Praxis :wink:

Formuliere die Frage mal neu:
Wer nutzt die Snapshot FW 0.6.3 an UM-IPV6-ONLY Anschlüssen - wie sind eure Erfahrungen?

Nun, die Grafik der Karte sagt, es sei schlecht, aber mein Handy, Laptop etc. sagt seitdem, alles sei super…

Gefühlt ist das Problem damit wirklich behoben. Und die Karte spinnt ja sowieso eigentlich immer. :wink:

Karte ist repariert. Durch das neue Gateway 204 ist der Cronjob zu lang geworden.

3 Likes

Node ist in der Grafik jetzt auch wieder online. :smile: